# $Id: esvn.spec 3366 2005-07-08 17:48:24Z dries $
# Authority: dag

Summary: Graphical frontend for subversion
Name: esvn
Version: 0.6.11
Release: 1.rf
License: GPL
Group: Applications/Editors
URL: http://esvn.umputun.com/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://esvn.umputun.com/esvn-%{version}-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: qt-devel, qt, subversion

%description
eSvn is a graphical frontend for the subversion revision system.

%prep
%setup -n %{name}

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 esvn %{buildroot}%{_bindir}/esvn
%{__install} -Dp -m0755 esvn-diff-wrapper %{buildroot}%{_bindir}/esvn-diff-wrapper
%{__install} -Dp -m0644 esvn.png %{buildroot}%{_datadir}/pixmaps/esvn.png
%{__install} -Dp -m0644 eSvn.desktop %{buildroot}%{_datadir}/applications/esvn.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING LICENSE README html-docs/*
%{_bindir}/esvn
%{_bindir}/esvn-diff-wrapper
%{_datadir}/pixmaps/esvn.png
%{_datadir}/applications/esvn.desktop

%changelog
* Fri Jul 08 2005 Dries Verachtert <dries@ulyssis.org> - 0.6.11-1 - 3366/dries
- Update to release 0.6.11.

* Fri Mar 25 2005 Dag Wieers <dag@wieers.com> - 0.6.8-1
- Initial package. (using DAR)
